Index: trunk/SRC/Calendar/caldat.pro
===================================================================
--- trunk/SRC/Calendar/caldat.pro	(revision 326)
+++ trunk/SRC/Calendar/caldat.pro	(revision 327)
@@ -10,24 +10,24 @@
 ; Calendar
 ;
-; @param JULIAN {in}{required} {type=long integer or double-precision floating-point}
+; @param julian {in}{required} {type=long integer or double-precision floating-point}
 ; contains the Julian Day Number (which begins at noon) of the
 ; specified calendar date.
 ;
-; @param MONTH {out} {type=longword integer}
+; @param month {out} {type=longword integer}
 ; Number of the desired month (1 = January, ..., 12 = December).
 ;
-; @param DAY {out} {type=longword integer}
+; @param day {out} {type=longword integer}
 ; Number of day of the month.
 ;
-; @param YEAR {out} {type=longword integer}
+; @param year {out} {type=longword integer}
 ; Number of the desired year.
 ;
-; @param HOUR {out} {type=longword integer}
+; @param hour {out} {type=longword integer}
 ; Hour of the day
 ;
-; @param MINUTE {out} {type=longword integer}
+; @param minute {out} {type=longword integer}
 ; Minute of the day
 ;
-; @param SECOND {out} {type=double-precision floating-point}
+; @param second {out} {type=double-precision floating-point}
 ; Second (and fractions) of the day.
 ;
@@ -64,5 +64,5 @@
 ;
 ;-
-PRO caldat, julian, month, day, year, hour, minute, second, NDAYSPM = ndayspm
+PRO caldat, julian, month, day, year, hour, minute, second, NDAYSPM=ndayspm
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Calendar/date2jul.pro
===================================================================
--- trunk/SRC/Calendar/date2jul.pro	(revision 326)
+++ trunk/SRC/Calendar/date2jul.pro	(revision 327)
@@ -73,10 +73,10 @@
 ;
 ;-
-function date2jul, date, GRADS = grads, MONTH = month, DAY = day, YEAR = year $
-                   , HOUR = hour, MINUTE = minute, SECOND = second
+FUNCTION date2jul, date, GRADS=grads, MONTH=month, DAY=day, YEAR=year $
+                 , HOUR=hour, MINUTE=minute, SECOND=second
 ;
   compile_opt idl2, strictarrsubs
 ;
-  usage="res=date2jul, date, GRADS = grads, MONTH = month, DAY = day, YEAR = year , HOUR = hour, MINUTE = minute, SECOND = second"
+  usage="res=date2jul, date, GRADS=grads, MONTH=month, DAY=day, YEAR=year , HOUR=hour, MINUTE=minute, SECOND=second"
 ;
 ; check parameters
Index: trunk/SRC/Calendar/julday.pro
===================================================================
--- trunk/SRC/Calendar/julday.pro	(revision 326)
+++ trunk/SRC/Calendar/julday.pro	(revision 327)
@@ -10,11 +10,11 @@
 ; Calendar
 ;
-; @param MONTH {in}{optional} {type=scalar (integer or double) or array of scalars}
+; @param month {in}{optional} {type=scalar (integer or double) or array of scalars}
 ; Number of the desired month (1 = January, ..., 12 = December).
 ;
-; @param DAY {in}{optional} {type=scalar (integer or double) or array of scalars}
+; @param day {in}{optional} {type=scalar (integer or double) or array of scalars}
 ; Number of day of the month.
 ;
-; @param YEARin {in}{optional} {type=scalar (integer or double) or array of scalars}
+; @param yearin {in}{optional} {type=scalar (integer or double) or array of scalars}
 ; Number of the desired year.Year parameters must be valid
 ; values from the civil calendar.  Years B.C.E. are represented
@@ -27,11 +27,11 @@
 ; <pro>caldat</pro> so caldat, julday(1,1,0) gives you back Jan 1st of year 0)
 ;
-; @param HOUR {in}{optional} {type=scalar (integer or double) or array of scalars} {default=12}
+; @param hour {in}{optional} {type=scalar (integer or double) or array of scalars} {default=12}
 ; Number of the hour of the day.
 ;
-; @param MINUTE {in}{optional} {type=scalar (integer or double) or array of scalars} {default=0}
+; @param minute {in}{optional} {type=scalar (integer or double) or array of scalars} {default=0}
 ; Number of the minute of the hour.
 ;
-; @param SECOND {in}{optional} {type=scalar (integer or double) or array of scalars} {default=0}
+; @param second {in}{optional} {type=scalar (integer or double) or array of scalars} {default=0}
 ; Number of the second of the minute.
 ;
@@ -81,5 +81,5 @@
 ; $Id$
 ;-
-FUNCTION julday, month, day, yearin, hour, minute, second, NDAYSPM = ndayspm
+FUNCTION julday, month, day, yearin, hour, minute, second, NDAYSPM=ndayspm
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Calendar/leapyr.pro
===================================================================
--- trunk/SRC/Calendar/leapyr.pro	(revision 326)
+++ trunk/SRC/Calendar/leapyr.pro	(revision 327)
@@ -43,5 +43,5 @@
 ;
 ;-
-function leapyr, year
+FUNCTION leapyr, year
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Colors/color24.pro
===================================================================
--- trunk/SRC/Colors/color24.pro	(revision 326)
+++ trunk/SRC/Colors/color24.pro	(revision 327)
@@ -36,4 +36,5 @@
 ;-
 FUNCTION color24, rgb_triple
+;
   compile_opt idl2, strictarrsubs
 ;
Index: trunk/SRC/Colors/colorbar.pro
===================================================================
--- trunk/SRC/Colors/colorbar.pro	(revision 326)
+++ trunk/SRC/Colors/colorbar.pro	(revision 327)
@@ -117,10 +117,11 @@
 ;
 ;-
-PRO colorbar, BOTTOM=bottom, CB_CHARSIZE=cb_charsize, CB_CHARTHICK=cb_charthick $
-              , CB_COLOR=cb_color, DIVISIONS=divisions, DISCRETE=discrete $
-              , CB_LABEL = cb_label, FORMAT=format, POSITION=position $
-              , MAX = max, MIN = min, NCOLORS = ncolors, PSCOLOR=pscolor $
-              , CB_TITLE = cb_title, VERTICAL = vertical, TOP = top, RIGHT = right $
-              , CB_LOG = CB_log, NOTITLE = notitle, _EXTRA = ex
+PRO colorbar, BOTTOM=bottom, CB_CHARSIZE=cb_charsize $
+            , CB_CHARTHICK=cb_charthick $
+            , CB_COLOR=cb_color, DIVISIONS=divisions, DISCRETE=discrete $
+            , CB_LABEL=cb_label, FORMAT=format, POSITION=position $
+            , MAX=max, MIN=min, NCOLORS=ncolors, PSCOLOR=pscolor $
+            , CB_TITLE=cb_title, VERTICAL=vertical, TOP=top, RIGHT=right $
+            , CB_LOG=CB_log, NOTITLE=notitle, _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Colors/getcolor.pro
===================================================================
--- trunk/SRC/Colors/getcolor.pro	(revision 326)
+++ trunk/SRC/Colors/getcolor.pro	(revision 327)
@@ -18,5 +18,5 @@
 ; Graphics, Color
 ;
-; @param thisColor {in}{optional}
+; @param thiscolor {in}{optional}
 ; A string with the "name" of the color. Valid names are:
 ;           black
@@ -189,7 +189,8 @@
 ; @version
 ; $Id$
+;
 ;-
-FUNCTION getcolor, thisColor, index, TRUE=truecolor, $
-   NAMES=colornames, LOAD=load, START=start
+FUNCTION getcolor, thiscolor, index, TRUE=truecolor $
+                 , NAMES=colornames, LOAD=load, START=start
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Colors/lct.pro
===================================================================
--- trunk/SRC/Colors/lct.pro	(revision 326)
+++ trunk/SRC/Colors/lct.pro	(revision 327)
@@ -36,5 +36,5 @@
 ;
 ;-
-PRO lct, numpal, FILE = file, GET_NAME = get_name, LIGHTNESS = Lightness, _EXTRA = ex
+PRO lct, numpal, FILE=file, GET_NAME=get_name, LIGHTNESS=lightness, _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Colors/newpalette.pro
===================================================================
--- trunk/SRC/Colors/newpalette.pro	(revision 326)
+++ trunk/SRC/Colors/newpalette.pro	(revision 327)
@@ -30,5 +30,5 @@
 ;
 ;-
-pro newpalette, namepal, FILE = file, OVER = over, _EXTRA = ex
+PRO newpalette, namepal, FILE=file, OVER=over, _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Colors/xlct.pro
===================================================================
--- trunk/SRC/Colors/xlct.pro	(revision 326)
+++ trunk/SRC/Colors/xlct.pro	(revision 327)
@@ -4,6 +4,7 @@
 ;
 ;-
-PRO xlct_psave			;Save/Restore our plotting state.
-;  Swaps our state with the current state each time its called.
+PRO xlct_psave			
+; Save/Restore our plotting state.
+; Swaps our state with the current state each time its called.
 ;
   compile_opt idl2, strictarrsubs
@@ -470,5 +471,5 @@
 ;-
 PRO xlct, SILENT=silent_f, GROUP=group, FILE=file, $
-          USE_CURRENT=use_current, NCOLORS = nc, BOTTOM=bottom, $
+          USE_CURRENT=use_current, NCOLORS=nc, BOTTOM=bottom, $
           MODAL=modal, BLOCK=block, UPDATECALLBACK=updt_cb_name, $
           UPDATECBDATA=updt_cb_data
Index: trunk/SRC/Documentation/xmldoc/doidldoc.sh
===================================================================
--- trunk/SRC/Documentation/xmldoc/doidldoc.sh	(revision 326)
+++ trunk/SRC/Documentation/xmldoc/doidldoc.sh	(revision 327)
@@ -6,4 +6,14 @@
 # update :
 # $Id$
+# fplod 2007-12-12T09:47:04Z aedon.locean-ipsl.upmc.fr (Darwin)
+# version
+# http://michaelgalloy.com/wp-content/uploads/2007/12/idldoc-3.0b4.zip
+# fplod 2007-12-11T09:14:04Z aedon.locean-ipsl.upmc.fr (Darwin)
+# version 
+# http://michaelgalloy.com/wp-content/uploads/2007/12/idldoc-3.0b4-src.zip
+# ++ pb path
+# beginning of docbook templates writing (from html 3.0b3 tt files)
+# fplod 2007-12-10T09:28:11Z aedon.locean-ipsl.upmc.fr (Darwin)
+# test with gdl : pas possible car compatibility < 6.1
 # fplod 2007-12-04T09:21:18Z aedon.locean-ipsl.upmc.fr (Darwin)
 # version
@@ -25,12 +35,21 @@
 set -x
 set -u
+# ++ test si idl (car gdl inutilisable)
+application=idl
 assistant=0
 transform=0
 title="SAXO Documentation" # ++ parametre
-root="../../mglib/" # overriding root for test ++
 root="../../"
+root="/Users/fplod/SAXO_DIR_ws/SRC/" #++ à cause du cd pour éviter expand_path
+#root="/usr/home/fplod/src/mglib/" # overriding root for test ++
+#
 #
 idldoc_dir="../idldoc/" # 
-idldoc_dir="/Users/fplod/Desktop/idldoc-3.0b3" # overriding idldoc_dir for test ++
+idldoc_dir="/usr/home/fplod/src/idldoc-3.0b3/" # overriding idldoc_dir for ctest ++
+#idldoc_dir="/usr/home/fplod/src/idldoc-3.0b4-src/" # overriding idldoc_dir for test ++
+idldoc_dir="/usr/home/fplod/src/idldoc-3.0b4/" # overriding idldoc_dir for test ++
+template_location=${idldoc_dir}/templates/
+#++ pas fini 
+#template_location=${idldoc_dir}/templates_dbk/ # overriding TEMPLATE_LOCATION++
 #
 # memorize current directory
@@ -44,14 +63,23 @@
 log="/tmp/idldochtml_${$}.log"
 pro="/tmp/idldochtml_${$}.pro"
+
+#+++ a remettre pour dbk template_location="${template_location}", $
+# !path = expand_path('+' + '${idldoc_dir}')
+cd ${idldoc_dir}
+pwd
+read a
 cat <<EOF > ${pro}
-!path = expand_path('+' + '${idldoc_dir}')
 idldoc,root="${root}",title="${title}", $
 LOG_FILE="${log}", $
 output="${outputtmp}", $
+template_location="${template_location}", $
+COMMENT_STYLE="latex", $
 overview="../../overview", /statistics
 exit
 EOF
+more ${pro}
+read a
 # launch idl with the file built above
-IDL_STARTUP=${pro};${IDL_DIR}/bin/idl
+IDL_STARTUP=${pro};${application}
 /bin/rm ${pro}
 #
Index: trunk/SRC/Documentation/xmldoc/savesaxo.sh
===================================================================
--- trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 326)
+++ trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 327)
@@ -101,9 +101,9 @@
 set -u
 #
-docompileall=0
+docompileall=1
 dohtml=0
 dooldtest=0
 doidlwavedoc=0
-doidldoc=1
+doidldoc=0
 doTARsrc=0
 doTARdata=0
Index: trunk/SRC/ForOldVersion/oldcm_empty.pro
===================================================================
--- trunk/SRC/ForOldVersion/oldcm_empty.pro	(revision 326)
+++ trunk/SRC/ForOldVersion/oldcm_empty.pro	(revision 327)
@@ -1,3 +1,4 @@
 ;+
+;
 ; @file_comments
 ; For internal use of SAXO
@@ -18,4 +19,5 @@
 ;  IDLDOC: unknown tag "file_comments" in file oldcm_empty.pro
 ;  IDLDOC: unknown tag "categories" in file oldcm_empty.pro
+;
 ;-
 ;
Index: trunk/SRC/ForOldVersion/updatenew.pro
===================================================================
--- trunk/SRC/ForOldVersion/updatenew.pro	(revision 326)
+++ trunk/SRC/ForOldVersion/updatenew.pro	(revision 327)
@@ -15,4 +15,5 @@
 ; @version
 ; $Id$
+;
 ;-
 IF n_elements(key_forgetold) EQ 0 THEN keep_compatibility
Index: trunk/SRC/Interpolation/clickincell.pro
===================================================================
--- trunk/SRC/Interpolation/clickincell.pro	(revision 326)
+++ trunk/SRC/Interpolation/clickincell.pro	(revision 327)
@@ -59,5 +59,6 @@
 ;
 ;-
-FUNCTION clickincell, CELLTYPE = celltype, DRAWCELL = drawcell, COLOR = color, ORIGINAL = original, IJ = ij, _EXTRA = extra
+FUNCTION clickincell, CELLTYPE=celltype, DRAWCELL=drawcell, COLOR=color $
+                    , ORIGINAL=original, IJ=ij, _EXTRA=extra
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Interpolation/cutpar.pro
===================================================================
--- trunk/SRC/Interpolation/cutpar.pro	(revision 326)
+++ trunk/SRC/Interpolation/cutpar.pro	(revision 327)
@@ -64,5 +64,6 @@
 ;
 ;-
-FUNCTION cutpar, x0, y0, x1, y1, x2, y2, x3, y3, n, ENDPOINTS = endpoints, ONSPHERE = onsphere
+FUNCTION cutpar, x0, y0, x1, y1, x2, y2, x3, y3, n $
+               , ENDPOINTS=endpoints, ONSPHERE=onsphere
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Interpolation/cutsegment.pro
===================================================================
--- trunk/SRC/Interpolation/cutsegment.pro	(revision 326)
+++ trunk/SRC/Interpolation/cutsegment.pro	(revision 327)
@@ -49,5 +49,6 @@
 ;
 ;-
-FUNCTION cutsegment, x0, y0, x1, y1, n, ENDPOINTS = endpoints, ONSPHERE = onsphere
+FUNCTION cutsegment, x0, y0, x1, y1, n $
+                   , ENDPOINTS=endpoints, ONSPHERE=onsphere
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Interpolation/extrapsmooth.pro
===================================================================
--- trunk/SRC/Interpolation/extrapsmooth.pro	(revision 326)
+++ trunk/SRC/Interpolation/extrapsmooth.pro	(revision 327)
@@ -49,5 +49,6 @@
 ; $Id$
 ;-
-FUNCTION extrapsmooth, in, mskin, X_PERIODIC = x_periodic, MINVAL = minval, MAXVAL = maxval, GE0 = ge0, _EXTRA = ex
+FUNCTION extrapsmooth, in, mskin, X_PERIODIC=x_periodic $
+                     , MINVAL=minval, MAXVAL=maxval, GE0=ge0, _EXTRA=ex
 ;
   compile_opt strictarr, strictarrsubs
Index: trunk/SRC/Interpolation/file_interp.pro
===================================================================
--- trunk/SRC/Interpolation/file_interp.pro	(revision 326)
+++ trunk/SRC/Interpolation/file_interp.pro	(revision 327)
@@ -4,5 +4,7 @@
 ;
 ;-
-FUNCTION call_interp2d, data, inlon, inlat, inmask, outlon, outlat, INIRR = inirr, METHOD = method, SMOOTH = smooth, WEIG = weig, ADDR = addr, NAN_VALUE = NaN_value, _extra = ex
+FUNCTION call_interp2d, data, inlon, inlat, inmask, outlon, outlat $
+                      , INIRR=inirr, METHOD=method, SMOOTH=smooth $
+                      , WEIG=weig, ADDR=addr, NAN_VALUE=NaN_value, _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
@@ -207,15 +209,20 @@
 ;
 ;-
-PRO file_interp, filein, fileout, gridout, GRIDIN = gridin, MASKIN = maskin, MASKOUT = maskout $
-                 , KEEP = keep, REMOVE = remove, METHOD = method, SMOOTH = smooth $
-                 , SET_XDIMNAME = set_xdimname, SET_YDIMNAME = set_ydimname $
-                 , SET_XAXISNAME = set_xaxisname, SET_YAXISNAME = set_yaxisname $
-                 , INMASKNAME = inmaskname, ININVMASK = ininvmask, INUSEASMASK = inuseasmask $
-                 , INMISSING_VALUE = inmissing_value, INADDSCL_BEFORE = inaddscl_before $
-                 , OUTMASKNAME = outmaskname, OUTINVMASK = outinvmask, OUTUSEASMASK = outuseasmask $
-                 , OUTMISSING_VALUE = outmissing_value, OUTADDSCL_BEFORE = outaddscl_before $
-                 , NAN_VALUE = NaN_value, WEIG = weig, ADDR = addr $
-                 , INXAXISNAME = inxaxisname, INYAXISNAME = inyaxisname $
-                 , OUTXAXISNAME = outxaxisname, OUTYAXISNAME = outyaxisname, _EXTRA = ex
+PRO file_interp, filein, fileout, gridout, GRIDIN=gridin, MASKIN=maskin, MASKOUT=maskout $
+               , KEEP=keep, REMOVE=remove, METHOD=method, SMOOTH=smooth $
+               , SET_XDIMNAME=set_xdimname, SET_YDIMNAME=set_ydimname $
+               , SET_XAXISNAME=set_xaxisname, SET_YAXISNAME=set_yaxisname $
+               , INMASKNAME=inmaskname, ININVMASK=ininvmask $
+               , INUSEASMASK=inuseasmask $
+               , INMISSING_VALUE=inmissing_value $
+               , INADDSCL_BEFORE=inaddscl_before $
+               , OUTMASKNAME=outmaskname, OUTINVMASK=outinvmask $
+               , OUTUSEASMASK=outuseasmask $
+               , OUTMISSING_VALUE=outmissing_value $
+               , OUTADDSCL_BEFORE=outaddscl_before $
+               , NAN_VALUE=NaN_value, WEIG=weig, ADDR=addr $
+               , INXAXISNAME=inxaxisname, INYAXISNAME=inyaxisname $
+               , OUTXAXISNAME=outxaxisname, OUTYAXISNAME=outyaxisname $
+               , _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Interpolation/get_gridparams.pro
===================================================================
--- trunk/SRC/Interpolation/get_gridparams.pro	(revision 326)
+++ trunk/SRC/Interpolation/get_gridparams.pro	(revision 327)
@@ -71,7 +71,9 @@
 ;
 ;-
-PRO get_gridparams, in1,   in2,   in3,     in4, in5, in6, in7, in8, DOUBLE = double
+PRO get_gridparams, in1, in2, in3, in4, in5, in6, in7, in8 $
+                  , DOUBLE=double
+;
 ;                  file, lonname, latname, lon, lat, jpi, jpj, n_dimensions
-;                   lon,   lat,   jpi,     jpj, n_dimensions
+;                  lon,      lat,     jpi, jpj, n_dimensions
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Interpolation/inquad.pro
===================================================================
--- trunk/SRC/Interpolation/inquad.pro	(revision 326)
+++ trunk/SRC/Interpolation/inquad.pro	(revision 327)
@@ -81,5 +81,7 @@
 ;
 ;-
-FUNCTION inquad, x, y, x1, y1, x2, y2, x3, y3, x4, y4, ONSPHERE = onsphere,  DOUBLE = double, DELTA = delta, NOPRINT = noprint, NEWCOORD = newcoord
+FUNCTION inquad, x, y, x1, y1, x2, y2, x3, y3, x4, y4 $
+               , ONSPHERE=onsphere,  DOUBLE=double, DELTA=delta $
+               , NOPRINT=noprint, NEWCOORD=newcoord
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Interpolation/inrecgrid.pro
===================================================================
--- trunk/SRC/Interpolation/inrecgrid.pro	(revision 326)
+++ trunk/SRC/Interpolation/inrecgrid.pro	(revision 327)
@@ -55,5 +55,6 @@
 ;
 ;-
-FUNCTION inrecgrid, x1d, y1d, left, bottom, OUTPUT2D = output2d, CHECKOUT = checkout
+FUNCTION inrecgrid, x1d, y1d, left, bottom $
+                  , OUTPUT2D=output2d, CHECKOUT=checkout
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Interpolation/map_npoints.pro
===================================================================
--- trunk/SRC/Interpolation/map_npoints.pro	(revision 326)
+++ trunk/SRC/Interpolation/map_npoints.pro	(revision 327)
@@ -102,6 +102,7 @@
 ;
 ;-
-FUNCTION map_npoints, lon0, lat0, lon1, lat1, AZIMUTH = azimuth $
- , RADIANS = radians, RADIUS = radius, MIDDLE = middle, TWO_BY_TWO = two_by_two
+FUNCTION map_npoints, lon0, lat0, lon1, lat1, AZIMUTH=azimuth $
+                    , RADIANS=radians, RADIUS=radius, MIDDLE=middle $
+                    , TWO_BY_TWO=two_by_two
 ;
  compile_opt idl2, strictarrsubs
Index: trunk/SRC/Interpolation/neighbor.pro
===================================================================
--- trunk/SRC/Interpolation/neighbor.pro	(revision 326)
+++ trunk/SRC/Interpolation/neighbor.pro	(revision 327)
@@ -46,5 +46,6 @@
 ;
 ;-
-FUNCTION neighbor, p0lon, p0lat, neighlon, neighlat, SPHERE = sphere, DISTANCE = distance, RADIANS = radians
+FUNCTION neighbor, p0lon, p0lat, neighlon, neighlat $
+                 , SPHERE=sphere, DISTANCE=distance, RADIANS=radians
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Interpolation/quadrilateral2square.pro
===================================================================
--- trunk/SRC/Interpolation/quadrilateral2square.pro	(revision 326)
+++ trunk/SRC/Interpolation/quadrilateral2square.pro	(revision 327)
@@ -78,5 +78,7 @@
 ;
 ;-
-FUNCTION quadrilateral2square, x0in, y0in, x1in, y1in, x2in, y2in, x3in, y3in, xxin, yyin, PERF = perf, DOUBLE = double
+FUNCTION quadrilateral2square, x0in, y0in, x1in, y1in, x2in, y2in $
+                             , x3in, y3in, xxin, yyin $
+                             , PERF=perf, DOUBLE=double
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Interpolation/square2quadrilateral.pro
===================================================================
--- trunk/SRC/Interpolation/square2quadrilateral.pro	(revision 326)
+++ trunk/SRC/Interpolation/square2quadrilateral.pro	(revision 327)
@@ -70,5 +70,7 @@
 ;
 ;-
-FUNCTION square2quadrilateral, x0in, y0in, x1in, y1in, x2in, y2in, x3in, y3in, xxin, yyin, DOUBLE = double
+FUNCTION square2quadrilateral, x0in, y0in, x1in, y1in, x2in, y2in $
+                             , x3in, y3in, xxin, yyin $ 
+                             , DOUBLE=double
 ;
 ; Warning, wrong definition of (x2,y2) and (x3,y3) at the bottom of
Index: trunk/SRC/Obsolete/lec.pro
===================================================================
--- trunk/SRC/Obsolete/lec.pro	(revision 326)
+++ trunk/SRC/Obsolete/lec.pro	(revision 327)
@@ -96,6 +96,9 @@
 ; @version
 ; $Id$
+;
 ;-
-function lec, nomchamp,date,nomexp,ECRIT=ecrit,ANOM=anom, BOITE = boite,EXPANOM=expanom, TOUT = tout, GRID = grid, NAME = name, filename = FILENAME
+FUNCTION lec, nomchamp,date,nomexp $
+            , ECRIT=ecrit, ANOM=anom, BOITE=boite, EXPANOM=expanom $
+            , TOUT=tout, GRID=grid, NAME=name, filename=FILENAME
 ;
   compile_opt idl2, strictarrsubs, obsolete
Index: trunk/SRC/Obsolete/meshlec.pro
===================================================================
--- trunk/SRC/Obsolete/meshlec.pro	(revision 326)
+++ trunk/SRC/Obsolete/meshlec.pro	(revision 327)
@@ -46,5 +46,6 @@
 ;
 ;-
-PRO meshlec, nomfich, PASBLABLA = pasblabla,DOUBLE = double, GLAMBOUNDARY = glamboundary, GETDIMENSIONS = GETDIMENSIONS
+PRO meshlec, nomfich, PASBLABLA=pasblabla, DOUBLE=double $
+           , GLAMBOUNDARY=glamboundary, GETDIMENSIONS=GETDIMENSIONS
 ;
   compile_opt idl2, strictarrsubs, obsolete
Index: trunk/SRC/Obsolete/nlec.pro
===================================================================
--- trunk/SRC/Obsolete/nlec.pro	(revision 326)
+++ trunk/SRC/Obsolete/nlec.pro	(revision 327)
@@ -60,7 +60,9 @@
 ;
 ;-
-function nlec,name,debut,fin,nomexperience,BOITE=boite,DIREC=direc,GRILLE=grille,TOUT=tout $
-              , STRUCTURE = structure, SEUILMIN = seuilmin, SEUILMAX = seuilmax, NAN = nan $
-              , _EXTRA = ex
+FUNCTION nlec, name, debut, fin, nomexperience $
+             , BOITE=boite, DIREC=direc, GRILLE=grille, TOUT=tout $
+             , STRUCTURE=structure, SEUILMIN=seuilmin, SEUILMAX=seuilmax $
+             , NAN=nan $
+             , _EXTRA=ex
 ;
 ;------------------------------------------------------------
Index: trunk/SRC/Obsolete/nlec5j.pro
===================================================================
--- trunk/SRC/Obsolete/nlec5j.pro	(revision 326)
+++ trunk/SRC/Obsolete/nlec5j.pro	(revision 327)
@@ -55,5 +55,6 @@
 ;
 ;-
-function nlec5j, nom, numsortie, nbretps,BOITE = boite, GRILLE=grille,TOUT=tout, _EXTRA = ex
+function nlec5j, nom, numsortie, nbretps $
+               ,BOITE=boite, GRILLE=grille, TOUT=tout, _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs, obsolete
Index: trunk/SRC/Obsolete/nlecan.pro
===================================================================
--- trunk/SRC/Obsolete/nlecan.pro	(revision 326)
+++ trunk/SRC/Obsolete/nlecan.pro	(revision 327)
@@ -53,5 +53,6 @@
 ;
 ;-
-function nlecan, nom, numsortie79, nbretps,BOITE = boite,GRILLE=grille,TOUT=tout, _EXTRA = ex
+function nlecan, nom, numsortie79, nbretps $
+               , BOITE=boite, GRILLE=grille, TOUT=tout, _EXTRA=ex
 ;
 ;------------------------------------------------------------
Index: trunk/SRC/Obsolete/nlecmois.pro
===================================================================
--- trunk/SRC/Obsolete/nlecmois.pro	(revision 326)
+++ trunk/SRC/Obsolete/nlecmois.pro	(revision 327)
@@ -31,5 +31,6 @@
 ;
 ;-
-function nlecmois,nom,numsortie79,nbretps ,BOITE=boite,GRILLE=grille,TOUT=tout, _EXTRA = ex
+function nlecmois, nom, numsortie79, nbretps $
+                 , BOITE=boite, GRILLE=grille, TOUT=tout, _EXTRA=ex
 ;
 ;------------------------------------------------------------
Index: trunk/SRC/Obsolete/nlecsaison.pro
===================================================================
--- trunk/SRC/Obsolete/nlecsaison.pro	(revision 326)
+++ trunk/SRC/Obsolete/nlecsaison.pro	(revision 327)
@@ -54,5 +54,6 @@
 ;
 ;-
-function nlecsaison, nom, numsortie79, nbretps,BOITE = boite, GRILLE=grille,TOUT=tout, _EXTRA = ex
+function nlecsaison, nom, numsortie79, nbretps $
+                   , BOITE=boite, GRILLE=grille, TOUT=tout, _EXTRA=ex
 ;
 ;------------------------------------------------------------
Index: trunk/SRC/Obsolete/nlecserie.pro
===================================================================
--- trunk/SRC/Obsolete/nlecserie.pro	(revision 326)
+++ trunk/SRC/Obsolete/nlecserie.pro	(revision 327)
@@ -51,5 +51,6 @@
 ;
 ;-
-function nlecserie, nom, date1, date2,BOITE = boite, GRILLE=grille,TOUT=tout, _EXTRA = ex
+function nlecserie, nom, date1, date2 $
+                  , BOITE=boite, GRILLE=grille, TOUT=tout, _EXTRA=ex
 ;
 ;------------------------------------------------------------
Index: trunk/SRC/Obsolete/norme.pro
===================================================================
--- trunk/SRC/Obsolete/norme.pro	(revision 326)
+++ trunk/SRC/Obsolete/norme.pro	(revision 327)
@@ -62,5 +62,6 @@
 ;
 ;-
-FUNCTION norme, composanteu, composantev, BOXZOOM = boxzoom, DIREC = direc, _EXTRA = ex
+FUNCTION norme, composanteu, composantev $
+              , BOXZOOM=boxzoom, DIREC=direc, _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ReadWrite/ncdf_getatt.pro
===================================================================
--- trunk/SRC/ReadWrite/ncdf_getatt.pro	(revision 326)
+++ trunk/SRC/ReadWrite/ncdf_getatt.pro	(revision 327)
@@ -54,5 +54,7 @@
 ;
 ;-
-PRO ncdf_getatt, fileid, varid, add_offset = add_offset, scale_factor = scale_factor, missing_value = missing_value, units = units, calendar = calendar
+PRO ncdf_getatt, fileid, varid, add_offset=add_offset $
+               , scale_factor=scale_factor, missing_value=missing_value $
+               , units=units, calendar=calendar
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ReadWrite/ncdf_getmask.pro
===================================================================
--- trunk/SRC/ReadWrite/ncdf_getmask.pro	(revision 326)
+++ trunk/SRC/ReadWrite/ncdf_getmask.pro	(revision 327)
@@ -59,6 +59,8 @@
 ;
 ;-
-FUNCTION ncdf_getmask, fileid, ADDSCL_BEFORE = addscl_before, MASKNAME = maskname, USEASMASK = useasmask $
-              , MISSING_VALUE = missing_value, INVMASK = invmask, _EXTRA = ex
+FUNCTION ncdf_getmask, fileid, ADDSCL_BEFORE=addscl_before $
+                     , MASKNAME=maskname, USEASMASK=useasmask $
+                     , MISSING_VALUE=missing_value, INVMASK=invmask $
+                     , _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ReadWrite/ncdf_gettime.pro
===================================================================
--- trunk/SRC/ReadWrite/ncdf_gettime.pro	(revision 326)
+++ trunk/SRC/ReadWrite/ncdf_gettime.pro	(revision 327)
@@ -52,5 +52,6 @@
 ; $Id$
 ;-
-FUNCTION ncdf_gettime, filename, cdfid, TIMEVAR = timevar, CALLER = caller, ERR = err, _EXTRA = ex
+FUNCTION ncdf_gettime, filename, cdfid $
+                     , TIMEVAR=timevar, CALLER=caller, ERR=err, _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ReadWrite/read_grads.pro
===================================================================
--- trunk/SRC/ReadWrite/read_grads.pro	(revision 326)
+++ trunk/SRC/ReadWrite/read_grads.pro	(revision 327)
@@ -59,5 +59,7 @@
 ;
 ;-
-FUNCTION read_grads, var, date1, date2, FILENAME = filename, BOX=box, TIMESTEP = timestep, EVERYTHING = everything, NOSTRUCT = nostruct, _EXTRA = ex
+FUNCTION read_grads, var, date1, date2 $
+                   , FILENAME=filename, BOX=box, TIMESTEP=timestep $
+                   , EVERYTHING=everything, NOSTRUCT=nostruct, _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ReadWrite/readoldopadistcoast.pro
===================================================================
--- trunk/SRC/ReadWrite/readoldopadistcoast.pro	(revision 326)
+++ trunk/SRC/ReadWrite/readoldopadistcoast.pro	(revision 327)
@@ -71,5 +71,6 @@
 ;
 ;-
-FUNCTION readoldopadistcoast, filename, jpiglo, jpjglo, jpk, IBLOC = ibloc, JPBYT = jpbyt, NUMREC = numrec
+FUNCTION readoldopadistcoast, filename, jpiglo, jpjglo, jpk $
+                            , IBLOC=ibloc, JPBYT=jpbyt, NUMREC=numrec
 ;
 ;
Index: trunk/SRC/ReadWrite/write_ncdf.pro
===================================================================
--- trunk/SRC/ReadWrite/write_ncdf.pro	(revision 326)
+++ trunk/SRC/ReadWrite/write_ncdf.pro	(revision 327)
@@ -32,9 +32,10 @@
 ; cf details plus bas...
 ;
-;----------------------------------------------------------------------------------------------
-
-pro writenc_unlimdim_update, dnames_imposed, unl_imposed, fmtbase, nviv, iidp1st, nn, dst, iid, SUPERTABU=supertab                $   
-                           , DIMSIZESU=dimsizes, UNLIMTABAU=unlimtaba, UNLIMAU=unlima                                             $
-                           , DIMIDASU=dimidas, NDIMTOTU=ndimtot, DNAMOSSU=dnamoss, DNAMAU=dnama,IMPOSE_DNM_UNLU= impose_dnm_unl 
+;-
+pro writenc_unlimdim_update, dnames_imposed, unl_imposed, fmtbase, nviv $
+    , iidp1st, nn, dst, iid, SUPERTABU=supertab $
+    , DIMSIZESU=dimsizes, UNLIMTABAU=unlimtaba, UNLIMAU=unlima $
+    , DIMIDASU=dimidas, NDIMTOTU=ndimtot, DNAMOSSU=dnamoss, DNAMAU=dnama $
+    , IMPOSE_DNM_UNLU=impose_dnm_unl 
 
 
@@ -350,9 +351,7 @@
 
 
-;----------------------------------------------------------------------------------------------
-;
-;
+;
+;+
 ; SUBROUTINE (2)/(3) : 
-;
 ;
 ; on remplace la 4ieme structure de structa par une liste chainee afin
@@ -362,6 +361,5 @@
 ; est pas active, i.e. cas par defaut)
 ;
-;----------------------------------------------------------------------------------------------
-
+;-
 function writenc_str2strlc, structa
 
@@ -431,9 +429,5 @@
 end
 
-;----------------------------------------------------------------------------------------------
-
-
-;----------------------------------------------------------------------------------------------
-;
+;+
 ;
 ; SUBROUTINE (3)/(3) : 
@@ -446,6 +440,5 @@
 ;
 ;
-;----------------------------------------------------------------------------------------------
-
+;-
 function writenc_strlc2str, strwlist
 
@@ -623,8 +616,6 @@
 ; 
 ; @todo clem 
-;- * 
-;
-;------------------------------------------------------------
-
+;
+;- 
 pro write_ncdf, var01,var02,var03,var04,var05,var06,var07,var08,var09,var10    $ ; RQ : if more than 30 variables is needed, simply add
                ,var11,var12,var13,var14,var15,var16,var17,var18,var19,var20    $ ;      var31,var32 etc... here and change nmaxvv to 32 ...
@@ -634,7 +625,7 @@
                ,VARNAME=namevquick                                             $
                                                                                $
-               ,NOT_SDISV = flag1                                              $ ; mots cles non utiles sauf cas particuliers...
-               ,NOT_OUASSALU = flag2                                           $
-               ,OKNAN = oknan
+               ,NOT_SDISV=flag1                                              $ ; mots cles non utiles sauf cas particuliers...
+               ,NOT_OUASSALU=flag2                                           $
+               ,OKNAN=oknan
 
 ;
